
$( document ).ready(function() {
	update_select();


	$( "#customer" ).change(function() {
		populate_data();
	});

});

function update_select(){
	$.getJSON( "http://10.19.40.97:26352/sensors/customer/?fields={customer_num,fname,lname:1}&sort={lname,fname:1}", function( data ) {

	var options = $("#customer");
	options.empty();
	options.append(new Option('Choose One',0));
	  $.each(data, function(index, d){            
		options.append(new Option(d.fname + ' ' + d.lname, d.customer_num));
            });

	});
};

function populate_data(){
	var id = $("#customer").val();
	if (id > 0){
		$.getJSON( "http://10.19.40.97:26352/sensors/customer/?fields={customer_num,fname,lname,company,address1,city,state,zipcode:1}&sort={lname,fname:1}&query={customer_num:{$eq:" + id + "}}", function( data ) {
			$.each(data, function(index, d){ 
				$("#customer_name").html(d.fname + " " + d.lname);
				$("#company_name").html(d.company);
				$("#address").html(d.address1 + "<br />"+ d.city + " " + d.state + ", " + d.zipcode);
			});
		});
	} else {
		$("#customer_name").html("");
		$("#company_name").html("");
		$("#address").html("");
	}
}	
